rem setup-database.cmd
rem
rem This command creates, binds, and enables the SALES_DB database for the dxx_sales_db
rem Web Services group.
rem
rem Arthur Ryman
rem 2001-06-14

rem Run this script from a DB2 Command Window.

db2 "create database SALES_DB"

rem Bind to DXX and CLI

db2 "connect to SALES_DB"

set _CD=%CD%

IF EXIST "%DB2DXXPATH%\bnd\dxxbind.lst" GOTO DB2V7
IF EXIST "%DB2PATH%\bnd\dxxbind.lst" GOTO DB2V8

:DB2V7
cd /d "%DB2DXXPATH%\bnd"
db2 "bind @dxxbind.lst"
GOTO BIND_CLI
:ENDDB2V7

:DB2V8
cd /d "%DB2PATH%\bnd"
db2 "bind @dxxbind.lst"
GOTO BIND_CLI
:ENDDB2V8


:BIND_CLI
cd /d "%DB2PATH%\bnd"
db2 "bind @db2cli.lst"
cd /d "%_CD%"

db2 terminate

rem Enable the database
dxxadm enable_db SALES_DB
