#!/bin/bash
# setup
#
# This command sets up the SALES_DB database and its tables 
# for the dxx_sales_db Web Services group.
#
# Arthur Ryman
# 2001-06-14

# Uncomment the line below and set CD to the location of this setup file
export CD=/opt/wsappdev/plugins/com.ibm.etools.webservice/samples/DADX_examples

# Set up the database.
./setup-database.sh

# Set up the tables for XML Collection access.
./setup-xcollection.sh

# Set up the tables for XML Column access.
./setup-xcolumn.sh
