create schema example;

CREATE TABLE example.HealthCareRecord ( acctNo INTEGER NOT NULL,
patientName CHARACTER(50), ssn CHARACTER(11), serviceType CHARACTER(2),
serviceDate CHARACTER(12), chargeAmount CHARACTER(8), insurance CHARACTER(20),
claimFileDate CHARACTER (20),claimReceived CHARACTER(4),
claimReceiveDate CHARACTER(12),
amountReceived CHARACTER(8), PRIMARY KEY ( acctNo));

insert into example.healthcarerecord values (00034, 'John Doe', '123-45-6789',
'1', '08-10-1999', '70', 'ABC Insurance', '08-12-1999', 'No',
'xx-xx-xxxx', '0');
insert into example.healthcarerecord values(00035, 'Apple Foo', '333-45-7788',
'2', '09-20-1999', '0', 'Prudential', '10-20-1999', 'Yes', 'xx-xx-xxxx', '0');

create table example.clientInfo ( acctNo Integer not null,
surName character(20), firstName character(20), middleName character(20),
ssn character(11), homePhone  character(12), busPhone character(12),
addrLine character(20), city character(20), state character(20),
country character(20), primary key ( acctNo ));

create table example.policyInfo (policyNum character(5) not null,
acctNo Integer not null, policyType character(10),
coverageDetails character(10), coverageAmount  character(10),
startDate character(10), expiryDate character(10), deductible character(5),
riskLevel character(10), premium character(10), primary key ( policyNum ),
foreign key (acctNo) references example.clientInfo(acctNo) );

insert into example.clientInfo values(1234, 'Doe', 'John', 'Alexander',
'123-45-6789', '412-283-3756', '412-448-4414', '1150 Main St. E.',
'Elmvale', 'Montana', 'USA');
insert into example.clientInfo values(1235, 'Flinstone', 'Fred', 'Stoney',
'333-45-7788', '999-283-3756', '999-448-4414', '133 Rubble Ave.',
'Rockville', 'Africa', 'Earth');

insert into example.policyInfo values('L1234', 1234, 'health', 'Medium',
'100000', '01/01/00', '01/01/01', '100', 'Low', '100');
insert into example.policyInfo values('C2345', 1234, 'car', 'High',
'10000', '06/01/99', '06/01/00', '200', 'High', '40');
insert into example.policyInfo values('L1236', 1235, 'health', 'Medium',
'500000', '01/01/00', '01/01/01', '500', 'Low', '500');
insert into example.policyInfo values('C2347', 1235, 'car', 'High', '10000',
'06/01/99', '06/01/00', '500', 'High', '70');
