#!/bin/bash
# setup-database.cmd
#
# This command creates, binds, and enables the SALES_DB database for the dxx_sales_db
# Web Services group.
#
# Arthur Ryman
# 2001-06-14

# Run this script from a DB2 Command Window.

db2 "create database sales_db"

# Bind to DXX and CLI

db2 "connect to sales_db"

db2 "grant connect on database to public"

export _CD=$CD

cd "$DB2DXXPATH/bnd"
db2 "bind @dxxbind.lst"

cd "$DB2PATH/bnd"
db2 "bind @db2cli.lst"

cd "$_CD"

db2 "terminate"

# Enable the database
dxxadm enable_db sales_db
