package org.tempuri.patientproj.patientgroup.patient.dadx.xsd;

import com.ibm.etools.xsd.bean.runtime.AnyType;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Arrays;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Hashtable;
import java.util.List;
import java.util.Vector;
import org.w3c.dom.Element;

public class FindPatientResultElement extends AnyType
{
  public FindPatientResultElement()
  {
    addElement("findPatientRow", FindPatientRowElementLocal.class);
  }

  public static class FindPatientRowElementLocal extends AnyType
  {
    public FindPatientRowElementLocal()
    {
      addElement("ACCTNO", java.lang.Integer.class);
      addElement("PATIENTNAME", java.lang.String.class);
      addElement("SSN", java.lang.String.class);
      addElement("SERVICETYPE", java.lang.String.class);
      addElement("SERVICEDATE", java.lang.String.class);
      addElement("CHARGEAMOUNT", java.lang.String.class);
      addElement("INSURANCE", java.lang.String.class);
      addElement("CLAIMFILEDATE", java.lang.String.class);
      addElement("CLAIMRECEIVED", java.lang.String.class);
      addElement("CLAIMRECEIVEDATE", java.lang.String.class);
      addElement("AMOUNTRECEIVED", java.lang.String.class);
    }

    public int getACCTNO()
    {
      Integer result = (Integer)this.basicGet("ACCTNO", 0);
      return result == null ? 0 : result.intValue();
    }

    public void setACCTNO(int aCCTNO)
    {
      this.basicSet("ACCTNO", 0, new Integer(aCCTNO));
    }

    public String getPATIENTNAME()
    {
      return (String)this.basicGet("PATIENTNAME", 0);
    }

    public void setPATIENTNAME(String pATIENTNAME)
    {
      this.basicSet("PATIENTNAME", 0, pATIENTNAME);
    }

    public String getSSN()
    {
      return (String)this.basicGet("SSN", 0);
    }

    public void setSSN(String sSN)
    {
      this.basicSet("SSN", 0, sSN);
    }

    public String getSERVICETYPE()
    {
      return (String)this.basicGet("SERVICETYPE", 0);
    }

    public void setSERVICETYPE(String sERVICETYPE)
    {
      this.basicSet("SERVICETYPE", 0, sERVICETYPE);
    }

    public String getSERVICEDATE()
    {
      return (String)this.basicGet("SERVICEDATE", 0);
    }

    public void setSERVICEDATE(String sERVICEDATE)
    {
      this.basicSet("SERVICEDATE", 0, sERVICEDATE);
    }

    public String getCHARGEAMOUNT()
    {
      return (String)this.basicGet("CHARGEAMOUNT", 0);
    }

    public void setCHARGEAMOUNT(String cHARGEAMOUNT)
    {
      this.basicSet("CHARGEAMOUNT", 0, cHARGEAMOUNT);
    }

    public String getINSURANCE()
    {
      return (String)this.basicGet("INSURANCE", 0);
    }

    public void setINSURANCE(String iNSURANCE)
    {
      this.basicSet("INSURANCE", 0, iNSURANCE);
    }

    public String getCLAIMFILEDATE()
    {
      return (String)this.basicGet("CLAIMFILEDATE", 0);
    }

    public void setCLAIMFILEDATE(String cLAIMFILEDATE)
    {
      this.basicSet("CLAIMFILEDATE", 0, cLAIMFILEDATE);
    }

    public String getCLAIMRECEIVED()
    {
      return (String)this.basicGet("CLAIMRECEIVED", 0);
    }

    public void setCLAIMRECEIVED(String cLAIMRECEIVED)
    {
      this.basicSet("CLAIMRECEIVED", 0, cLAIMRECEIVED);
    }

    public String getCLAIMRECEIVEDATE()
    {
      return (String)this.basicGet("CLAIMRECEIVEDATE", 0);
    }

    public void setCLAIMRECEIVEDATE(String cLAIMRECEIVEDATE)
    {
      this.basicSet("CLAIMRECEIVEDATE", 0, cLAIMRECEIVEDATE);
    }

    public String getAMOUNTRECEIVED()
    {
      return (String)this.basicGet("AMOUNTRECEIVED", 0);
    }

    public void setAMOUNTRECEIVED(String aMOUNTRECEIVED)
    {
      this.basicSet("AMOUNTRECEIVED", 0, aMOUNTRECEIVED);
    }

  }


  public FindPatientRowElementLocal getFindPatientRow(int index)
  {
    return (FindPatientRowElementLocal)this.basicGet("findPatientRow", index);
  }

  public void setFindPatientRow(int index, FindPatientRowElementLocal findPatientRow)
  {
    this.basicSet("findPatientRow", index, findPatientRow);
  }

  public FindPatientRowElementLocal[] getFindPatientRow()
  {
    List result = this.basicGet("findPatientRow");
    return (FindPatientRowElementLocal[])basicToArray(result, new FindPatientRowElementLocal[result.size()]);
  }

  public void setFindPatientRow(FindPatientRowElementLocal[] findPatientRow)
  {
    this.basicSet("findPatientRow", basicToList(findPatientRow));
  }

}


