package proxy.response.generated;

import com.ibm.etools.xmlschema.beans.*;
import java.util.*;

/**
* A sample program to show how to use the generated Java beans to:
*  - create and save an XML document
*  - load the XML document and print its content
*/
public class Sample
{
  responseFactory iResponseFactory;
  response iResponse;
  
  public Sample()
  {
  }
  
  /**
  * Create the root element in the document
  */
  void createresponse()
  {
    iResponse.setACCTNO("ACCTNO");
    iResponse.setSSN("SSN");
    iResponse.setADDRLINE("ADDRLINE");
    iResponse.setCITY("CITY");
    iResponse.setSTATE("STATE");
    iResponse.setCOUNTRY("COUNTRY");
    iResponse.setPOLICYNUM("POLICYNUM");
    iResponse.setCOVERAGEAMOUNT("COVERAGEAMOUNT");
  }
  
  /**
  * Print the content of the root element
  */
  void printresponse()
  {
    System.out.println(iResponse.getACCTNO());
    System.out.println(iResponse.getSSN());
    System.out.println(iResponse.getADDRLINE());
    System.out.println(iResponse.getCITY());
    System.out.println(iResponse.getSTATE());
    System.out.println(iResponse.getCOUNTRY());
    System.out.println(iResponse.getPOLICYNUM());
    System.out.println(iResponse.getCOVERAGEAMOUNT());
  }
  
  /**
  * Set the element ACCTNO to the specified value
  *   @param iACCTNO The Java bean for this element
  *   @return ACCTNO The Java bean
  */
  ACCTNO initACCTNO(ACCTNO iACCTNO)
  {
    iACCTNO.updateElementValue("ACCTNO");
    return iACCTNO;
  }
  
  /**
  * Print the element value represented by the Java bean ACCTNO
  *   @param iACCTNO The Java bean for this element
  */
  void printACCTNO(ACCTNO iACCTNO)
  {
    System.out.println(iACCTNO.getElementValue());
  }
  
  /**
  * Set the element SSN to the specified value
  *   @param iSSN The Java bean for this element
  *   @return SSN The Java bean
  */
  SSN initSSN(SSN iSSN)
  {
    iSSN.updateElementValue("SSN");
    return iSSN;
  }
  
  /**
  * Print the element value represented by the Java bean SSN
  *   @param iSSN The Java bean for this element
  */
  void printSSN(SSN iSSN)
  {
    System.out.println(iSSN.getElementValue());
  }
  
  /**
  * Set the element ADDRLINE to the specified value
  *   @param iADDRLINE The Java bean for this element
  *   @return ADDRLINE The Java bean
  */
  ADDRLINE initADDRLINE(ADDRLINE iADDRLINE)
  {
    iADDRLINE.updateElementValue("ADDRLINE");
    return iADDRLINE;
  }
  
  /**
  * Print the element value represented by the Java bean ADDRLINE
  *   @param iADDRLINE The Java bean for this element
  */
  void printADDRLINE(ADDRLINE iADDRLINE)
  {
    System.out.println(iADDRLINE.getElementValue());
  }
  
  /**
  * Set the element CITY to the specified value
  *   @param iCITY The Java bean for this element
  *   @return CITY The Java bean
  */
  CITY initCITY(CITY iCITY)
  {
    iCITY.updateElementValue("CITY");
    return iCITY;
  }
  
  /**
  * Print the element value represented by the Java bean CITY
  *   @param iCITY The Java bean for this element
  */
  void printCITY(CITY iCITY)
  {
    System.out.println(iCITY.getElementValue());
  }
  
  /**
  * Set the element STATE to the specified value
  *   @param iSTATE The Java bean for this element
  *   @return STATE The Java bean
  */
  STATE initSTATE(STATE iSTATE)
  {
    iSTATE.updateElementValue("STATE");
    return iSTATE;
  }
  
  /**
  * Print the element value represented by the Java bean STATE
  *   @param iSTATE The Java bean for this element
  */
  void printSTATE(STATE iSTATE)
  {
    System.out.println(iSTATE.getElementValue());
  }
  
  /**
  * Set the element COUNTRY to the specified value
  *   @param iCOUNTRY The Java bean for this element
  *   @return COUNTRY The Java bean
  */
  COUNTRY initCOUNTRY(COUNTRY iCOUNTRY)
  {
    iCOUNTRY.updateElementValue("COUNTRY");
    return iCOUNTRY;
  }
  
  /**
  * Print the element value represented by the Java bean COUNTRY
  *   @param iCOUNTRY The Java bean for this element
  */
  void printCOUNTRY(COUNTRY iCOUNTRY)
  {
    System.out.println(iCOUNTRY.getElementValue());
  }
  
  /**
  * Set the element POLICYNUM to the specified value
  *   @param iPOLICYNUM The Java bean for this element
  *   @return POLICYNUM The Java bean
  */
  POLICYNUM initPOLICYNUM(POLICYNUM iPOLICYNUM)
  {
    iPOLICYNUM.updateElementValue("POLICYNUM");
    return iPOLICYNUM;
  }
  
  /**
  * Print the element value represented by the Java bean POLICYNUM
  *   @param iPOLICYNUM The Java bean for this element
  */
  void printPOLICYNUM(POLICYNUM iPOLICYNUM)
  {
    System.out.println(iPOLICYNUM.getElementValue());
  }
  
  /**
  * Set the element COVERAGEAMOUNT to the specified value
  *   @param iCOVERAGEAMOUNT The Java bean for this element
  *   @return COVERAGEAMOUNT The Java bean
  */
  COVERAGEAMOUNT initCOVERAGEAMOUNT(COVERAGEAMOUNT iCOVERAGEAMOUNT)
  {
    iCOVERAGEAMOUNT.updateElementValue("COVERAGEAMOUNT");
    return iCOVERAGEAMOUNT;
  }
  
  /**
  * Print the element value represented by the Java bean COVERAGEAMOUNT
  *   @param iCOVERAGEAMOUNT The Java bean for this element
  */
  void printCOVERAGEAMOUNT(COVERAGEAMOUNT iCOVERAGEAMOUNT)
  {
    System.out.println(iCOVERAGEAMOUNT.getElementValue());
  }
  
  /**
  * Create a new XML document using the generated responseFactory class
  *   @param filename The XML file name
  */
  void createNewInstance(String filename)
  {
    iResponseFactory = new responseFactory();
    iResponseFactory.setPackageName("proxy.response.generated");
    
    // include DOCTYPE for validation
    iResponseFactory.setDTDFileName("Response.dtd");
    
    // encoding for output document
    iResponseFactory.setEncoding("UTF8");
    
    // encoding tag for xml declaration
    iResponseFactory.setEncodingTag("UTF-8");
    
    // Create the root element in the document using the specified root element name
    iResponse = (response) iResponseFactory.createRoot("response");
    createresponse();
    
    iResponseFactory.save(filename);
  }
  
  /**
  * Load an XML document using the generated responseFactory class
  *   @param filename An existing XML file name
  */
  void loadExistingInstance(String filename)
  {
    iResponseFactory = new responseFactory();
    iResponseFactory.setPackageName("proxy.response.generated");
    
    // Load the document
    iResponse = (response) iResponseFactory.loadDocument(filename);
    printresponse();
  }
  
  /**
  * The main program.
  * Creates an example XML document and then loads it
  */
  public static void main(String args[])
  {
    Sample sample = new Sample();
    sample.createNewInstance("D:/builds/T1204/eclipse/workspace/InsuranceProj/source/query_info/ResponseSample.xml");
    sample.loadExistingInstance("D:/builds/T1204/eclipse/workspace/InsuranceProj/source/query_info/ResponseSample.xml");
  }
}

