<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <xsl:template match="/">
        <HTML>
            <HEAD>
                <META content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
                <META content="0" http-equiv="Expires"/>
            </HEAD>
            <BODY>
                <DIV>
                    <xsl:apply-templates/>
                </DIV>
            </BODY>
        </HTML>
    </xsl:template>
    <xsl:template match="sqltoxml:SQLResult" xmlns:sqltoxml="http://www.ibm.com/CLIENTINFO_POLICYINFO">
        <Table border="2">
            <TR>
                <TD>ACCTNO</TD>
                <TD>SURNAME</TD>
                <TD>FIRSTNAME</TD>
                <TD>MIDDLENAME</TD>
                <TD>SSN</TD>
                <TD>HOMEPHONE</TD>
                <TD>BUSPHONE</TD>
                <TD>ADDRLINE</TD>
                <TD>CITY</TD>
                <TD>STATE</TD>
                <TD>COUNTRY</TD>
                <TD>POLICYNUM</TD>
                <TD>COVERAGEAMOUNT</TD>
                <TD>POLICYTYPE</TD>
                <TD>COVERAGEDETAILS</TD>
            </TR>
            <xsl:for-each select="sqltoxml:CLIENTINFO_POLICYINFO">
                <TR>
                    <TD>
                        <xsl:value-of select="sqltoxml:ACCTNO"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:SURNAME"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:FIRSTNAME"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:MIDDLENAME"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:SSN"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:HOMEPHONE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:BUSPHONE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:ADDRLINE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:CITY"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:STATE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:COUNTRY"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:POLICYNUM"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:COVERAGEAMOUNT"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:POLICYTYPE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:COVERAGEDETAILS"/>
                    </TD>
                </TR>
            </xsl:for-each>
        </Table>
    </xsl:template>
</xsl:transform>
