db2start
db2 "create database insure"

db2 "connect to insure"

db2 "grant connect on database to public"

db2 "create table Example.clientInfo ( acctNo Integer not null, surName character(20), firstName character(20), middleName character(20), ssn        character(11), homePhone  character(12), busPhone   character(12), addrLine   character(20), city       character(20), state      character(20), country    character(20), primary key ( acctNo ) )"

db2 "create table Example.policyInfo ( policyNum character(5) not null, acctNo Integer not null, policyType character(10), coverageDetails character(10), coverageAmount  character(10), startDate       character(10), expiryDate      character(10), deductible      character(5), riskLevel       character(10), premium         character(10), primary key ( policyNum ), foreign key (acctNo) references Example.clientInfo(acctNo) )" 

db2 "import from client.txt of del insert into Example.clientInfo ( acctNo, surName, firstName, middleName, ssn, homePhone, busPhone, addrLine, city, state, country)"

db2 "import from policy.txt of del insert into Example.policyInfo ( policyNum, acctNo, policyType, coverageDetails, coverageAmount, startDate, expiryDate, deductible, riskLevel, premium)" 

db2 "connect reset"



